Lingxing
切换旧版

查询沃尔玛 - 词 - 沃尔玛热门搜索词

POST/basicOpen/multiplatform/ads/reportSearchTrendsList

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatform/ads/reportSearchTrendsListHTTPSPOST1

请求参数

reportDatestring
报告日期,必填,格式:yyyy-MM-dd
pageSizeinteger
每页大小,必填,不能大于100
pageNuminteger
页码,必填
orderTypestring
排序方向,枚举值:ASC-升序, DESC-降序
itemBrandobject
商品品牌(在item_brand_1/2/3中搜索),模糊搜索请使用String类型,精确搜索请使用数组类型
itemQueryTypeinteger
字段类型,枚举值:0-模糊搜索, 1-精确搜索
itemQueryFieldinteger
查询字段,枚举值:0-itemId, 1-itemName
searchKeywordTypeinteger
搜索关键词类型,枚举值:0-模糊搜索, 1-精确搜索
orderFieldstring
排序字段(驼峰格式),枚举值:searchKeyword-搜索关键词, keywordRank-关键词排名, totalPctClickShare-前3商品点击占比总和, totalPctConvShare-前3商品转化占比总和
searchKeywordobject
搜索关键词,模糊搜索请使用String类型,精确搜索请使用数组类型
itemQueryValueobject
文本框中的值,模糊搜索请使用String类型,精确搜索请使用数组类型
itemBrandTypeinteger
商品品牌类型,枚举值:0-模糊搜索, 1-精确搜索

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/ads/reportSearchTrendsList?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "reportDate": "2024-11-01",
    "pageSize": 20,
    "pageNum": 1,
    "orderType": "DESC",
    "itemBrand": "value",
    "itemQueryType": 1,
    "itemQueryField": 1,
    "searchKeywordType": 1,
    "orderField": "keywordRank",
    "searchKeyword": "value",
    "itemQueryValue": "value",
    "itemBrandType": 1
}'

返回结果

Json Object

codeinteger必填
响应码
dataobject必填
返回数据
隐藏子属性
listarray<object>必填
列表数据
隐藏子属性
itemBrand1string必填
销量排名第1的商品品牌名
示例 Brand A
itemBrand2string必填
销量排名第2的商品品牌名
示例 Brand B
itemBrand3string必填
销量排名第3的商品品牌名
示例 Brand C
itemId1string必填
销量排名第1的商品ID
示例 12345678
itemId2string必填
销量排名第2的商品ID
示例 23456789
itemId3string必填
销量排名第3的商品ID
示例 34567890
itemName1string必填
销量排名第1的商品名称
示例 Wireless Gaming Mouse
itemName2string必填
销量排名第2的商品名称
示例 Bluetooth Mouse
itemName3string必填
销量排名第3的商品名称
示例 Optical Mouse
keywordRankstring必填
关键词排名,0表示该日期无数据
示例 5
localizeKeywordstring必填
关键词译文
示例 无线鼠标
pctClickShareItem1string必填
第1商品的点击占比
示例 0.45
pctClickShareItem2string必填
第2商品的点击占比
示例 0.25
pctClickShareItem3string必填
第3商品的点击占比
示例 0.15
pctConvShareItem1string必填
第1商品的转化占比
示例 0.5
pctConvShareItem2string必填
第2商品的转化占比
示例 0.23
pctConvShareItem3string必填
第3商品的转化占比
示例 0.12
reportDatestring必填
报告日期,格式:yyyy-MM-dd
示例 2024-11-01
searchKeywordstring必填
搜索关键词
示例 wireless mouse
totalPctClickSharestring必填
前3商品点击占比总和
示例 0.85
totalPctConvSharestring必填
前3商品转化占比总和
示例 0.85
trendDataarray<object>必填
最近7天的趋势数据,按日期顺序,包含日期和排名信息
隐藏子属性
keywordRankstring必填
关键词排名,0表示该日期无数据
示例 5
reportDatestring必填
报告日期,格式:yyyy-MM-dd
示例 2024-11-01
totalstring必填
总记录数
示例 100
error_detailsarray<any>必填
错误详情
messagestring必填
提示信息
request_idstring必填
请求id
response_timestring必填
响应时间
totalinteger必填
总记录数

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583.178.17255922733991817",
    "response_time": "2024-11-12 16:00:00",
    "data": {
        "list": [
        ],
        "total": 100
    },
    "total": 1
}